//Emote_shootit.cs

datablock AudioProfile(ShootItSound)
{
	filename = "./sfx/ShootIt.wav";
	description = AudioClosest3d;
	preload = true;
};

datablock ParticleData(ShootItParticle)
{
   dragCoefficient      = 5.0;
   gravityCoefficient   = 0.0;
   inheritedVelFactor   = 0.0;
   windCoefficient      = 0;
   constantAcceleration = 0.0;
   lifetimeMS           = 500;
   lifetimeVarianceMS   = 0;
   useInvAlpha          = false;
   textureName          = "./gfx/shootit";
   colors[0]     = "1 1 1 1";
   colors[1]     = "1 1 1 1";
   colors[2]     = "1 1 1 1";
   sizes[0]      = 0.9;
   sizes[1]      = 0.9;
   sizes[2]      = 0.9;
   times[0]      = 0.0;
   times[1]      = 0.2;
   times[2]      = 1.0;
};

datablock ParticleEmitterData(ShootItEmitter)
{
   ejectionPeriodMS = 35;
   periodVarianceMS = 0;
   ejectionVelocity = 0.0;
   ejectionOffset   = 1.8;
   velocityVariance = 0.0;
   thetaMin         = 0;
   thetaMax         = 0;
   phiReferenceVel  = 0;
   phiVariance      = 0;
   overrideAdvance = false;
   lifeTimeMS = 100;
   particles = "ShootItParticle";

   doFalloff = false; //if we do fall off with this emitter it ends up flickering, for most emitters you want this TRUE

   emitterNode = GenericEmitterNode;        //used when placed on a brick
   pointEmitterNode = TenthEmitterNode; //used when placed on a 1x1 brick

   uiName = "Emote - ShootIt";
};

datablock ExplosionData(ShootItExplosion)
{
   lifeTimeMS = 2000;
   emitter[0] = ShootItEmitter;
   soundProfile = ShootItSound;
};

//we cant spawn explosions, so this is a workaround for now
datablock ProjectileData(ShootItProjectile)
{
   explosion           = ShootItExplosion;

   armingDelay         = 0;
   lifetime            = 10;
   explodeOnDeath		= true;

   uiName = "ShootIt Emote";
};

function serverCmdShootIt(%client)
{
	if(isObject(%client.player))
		%client.player.emote(ShootItProjectile);
}